Package helma.util

# Class MimePartDataSource

java.lang.Object
helma.util.MimePartDataSource

All Implemented Interfaces:
  `javax.activation.DataSource`

public class MimePartDataSource extends Object implements javax.activation.DataSource
Makes MimeParts usable as Datasources in the Java Activation Framework (JAF)

## Constructor Summary

Constructors
Constructor
Description
`MimePartDataSource(MimePart part)`
Creates a new MimePartDataSource object.
`MimePartDataSource(MimePart part, String name)`
Creates a new MimePartDataSource object.

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
`InputStream`
`getInputStream()`
`String`
`getName()`
`OutputStream`
`getOutputStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MimePartDataSource

public MimePartDataSource(MimePart part)
Creates a new MimePartDataSource object.

Parameters:
  `part` - ...

### MimePartDataSource

public MimePartDataSource(MimePart part, String name)
Creates a new MimePartDataSource object.

Parameters:
  `part` - ...
  `name` - ...

## Method Details

### getInputStream

public InputStream getInputStream() throws IOException

Specified by:
  `getInputStream` in interface `javax.activation.DataSource`
Returns:
  ...
Throws:
  `IOException` - ...

### getOutputStream

public OutputStream getOutputStream() throws IOException

Specified by:
  `getOutputStream` in interface `javax.activation.DataSource`
Returns:
  ...
Throws:
  `IOException` - ...

### getContentType

public String getContentType()

Specified by:
  `getContentType` in interface `javax.activation.DataSource`
Returns:
  ...

### getName

public String getName()

Specified by:
  `getName` in interface `javax.activation.DataSource`
Returns:
  ...